XmDataFieldGetSelection(library call)

NAME
XmDataFieldGetSelection — A DataField function that retrieves the value of the primary selection

SYNOPSIS

#include <Xm/DataF.h>
char * XmDataFieldGetSelection(
Widget widget);

DESCRIPTION

XmDataFieldGetSelection retrieves the value of the primary selection. It returns a NULL pointer if no text is selected in the widget. The application is responsible for freeing the storage associated with the string by calling XtFree.

widget
    Specifies the DataField widget ID

For a complete definition of DataField and its associated resources, see XmDataField(3).

RETURN

Returns a character pointer to the string that is associated with the primary selection.

RELATED

XmDataField(3) and XmDataFieldGetSelectionWcs(3).